/**Begin D:\PDM_UPGRADE\PDM1\POM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRP_CMPLRS') 
CREATE TABLE T_MRP_CMPLRS
(
  FID           BIGINT DEFAULT 0 NOT NULL,
  FNUMBER       NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FSTATUS       NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FCREATORID    BIGINT DEFAULT 0 NOT NULL,
  FMODIFIERID   BIGINT DEFAULT 0 NOT NULL,
  FENABLE       NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FCREATETIME   DATETIME,
  FMODIFYTIME   DATETIME,
  FMASTERID     BIGINT DEFAULT 0 NOT NULL,
  FCREATEORGID  BIGINT DEFAULT 0 NOT NULL,
  FORGID        BIGINT DEFAULT 0 NOT NULL,
  FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FCALCDATE     DATETIME,
  FAVAILQTY     DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FSTOCKQTY     DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FINTRANSITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FMFTINGQTY    DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FSUBCMPLQTY   DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FUNIT         BIGINT DEFAULT 0 NOT NULL,
  FMATERIAL     BIGINT DEFAULT 0 NOT NULL,
  FRQTY         DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FRUNLOGNO     NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FREQDATE      DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRP_CMPLRS_L') 
 CREATE TABLE T_MRP_CMPLRS_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\POM_table.sql **/
